Package: org.apache.groovy.lang

## [Java] Class GroovyObjectHelper

- org.apache.groovy.lang.GroovyObjectHelper

-     public class GroovyObjectHelper
      extends Object

  Helper for GroovyObject

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected AtomicReference<Lookup>` | `computeValue(Class<?> type)`
    `` | `public static Optional<Lookup>` | `lookup(GroovyObject groovyObject)` Get the Lookup instance of the GroovyObject instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override
      protected AtomicReference<Lookup> computeValue(Class<?> type)

    - #### public static Optional<Lookup> lookup(GroovyObject groovyObject)

      Get the Lookup instance of the GroovyObject instance

      Parameters:
        `groovyObject` - the GroovyObject instance
      Returns:
        the Lookup instance
      Since:
        4.0.0